Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZGZIPZLIBCompressionHandler Class Reference

Handles files compressed with gzip using the zlib extension. More...

Inheritance diagram for eZGZIPZLIBCompressionHandler:

## Public Member Functions
| __construct ()
| setCompressionLevel ( $level)
| compressionLevel ()
| doOpen ( $filename, $mode)
| doClose ()
| doRead ( $uncompressedLength=false)
| doWrite ( $data, $uncompressedLength=false)
| doFlush ()
| doSeek ( $offset, $whence)
| doRewind ()
| doTell ()
| doEOF ()
| doPasstrough ( $closeFile=true)
| compress ( $source)
| decompress ( $source)
| errorString ()
| errorNumber ()
Public Member Functions inherited from eZFileHandler
| __construct ( $handlerIdentifier=false, $handlerName=false)
| isOpen ()
| isBinaryMode ()
| filename ()
| mode ()
| name ()
| identifier ()
| exists ( $filename=false)
| isDirectory ( $filename=false)
| isExecutable ( $filename=false)
| isFile ( $filename=false)
| isLink ( $filename=false)
| isReadable ( $filename=false)
| isWriteable ( $filename=false)
| statistics ( $filename=false)
| open ( $filename, $mode, $binaryFile=true)
| close ()
| unlink ( $filename=false)
| rename ( $destinationFilename, $sourceFilename=false)
| read ( $length=false)
| write ( $data, $length=false)
| flush ()
| seek ( $offset, $whence=SEEK_SET)
| rewind ()
| tell ()
| eof ()
| passtrough ( $closeFile=true)
| error ()
| duplicate ()

## Static Public Member Functions
static | isAvailable ()
Static Public Member Functions inherited from eZFileHandler
static | linkCopy ( $sourceFilename, $destinationFilename, $symbolicLink=true)
static | symlink ( $sourceFilename, $destinationFilename)
static | link ( $sourceFilename, $destinationFilename)
static | move ( $sourceFilename, $destinationFilename)
static | copy ( $sourceFilename, $destinationFilename)
static | doUnlink ( $filename)
static | doExists ( $filename)
static | doIsDirectory ( $filename)
static | doIsExecutable ( $filename)
static | doIsFile ( $filename)
static | doIsLink ( $filename)
static | doIsReadable ( $filename)
static | doIsWriteable ( $filename)
static | doStatistics ( $filename)
static | doRename ( $destinationFilename, $sourceFilename)
static | instance ( $identifier, $filename=false, $mode=false, $binaryFile=true)

## Public Attributes
| $File
| $Level
| The compression level. More...
Public Attributes inherited from eZFileHandler
| $Identifier
| $FileHandler
| $Name
| $FileName
| $Mode
| $IsBinary
| $IsOpen

## Detailed Description

Handles files compressed with gzip using the zlib extension.

More information on the zlib extension can be found here: http://www.php.net/manual/en/ref.zlib.php

Definition at line 20 of file ezgzipzlibcompressionhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGZIPZLIBCompressionHandler::__construct | ( |  | ) |

Definition at line 22 of file ezgzipzlibcompressionhandler.php.

## Member Function Documentation

## ◆ compress()

eZGZIPZLIBCompressionHandler::compress | ( |  | $source | ) |
| virtual

Compress the $source string and return it as compressed data.

Implements eZCompressionHandler.

Definition at line 131 of file ezgzipzlibcompressionhandler.php.

## ◆ compressionLevel()

eZGZIPZLIBCompressionHandler::compressionLevel | ( |  | ) |

Returns
  the current compression level which is a number between 0 and 9, or `false` if the default is to be used.

Definition at line 43 of file ezgzipzlibcompressionhandler.php.

References $Level.

## ◆ decompress()

eZGZIPZLIBCompressionHandler::decompress | ( |  | $source | ) |
| virtual

Decompress the $source string containing compressed data and return it as a string.

Implements eZCompressionHandler.

Definition at line 136 of file ezgzipzlibcompressionhandler.php.

## ◆ doClose()

eZGZIPZLIBCompressionHandler::doClose | ( |  | ) |
| virtual

Does the actual file closing.

See also
  close

Implements eZFileHandler.

Definition at line 64 of file ezgzipzlibcompressionhandler.php.

References $result.

## ◆ doEOF()

eZGZIPZLIBCompressionHandler::doEOF | ( |  | ) |
| virtual

Does the actual file eof detection.

See also
  eof

Implements eZFileHandler.

Definition at line 113 of file ezgzipzlibcompressionhandler.php.

## ◆ doFlush()

eZGZIPZLIBCompressionHandler::doFlush | ( |  | ) |
| virtual

Does the actual file flushing.

See also
  flush

Implements eZFileHandler.

Definition at line 84 of file ezgzipzlibcompressionhandler.php.

## ◆ doOpen()

eZGZIPZLIBCompressionHandler::doOpen | ( |  | $filename,
|  |  | $mode
| ) |  |
| virtual

Does the actual file opening.

See also
  open

Implements eZFileHandler.

Definition at line 58 of file ezgzipzlibcompressionhandler.php.

References $File.

## ◆ doPasstrough()

eZGZIPZLIBCompressionHandler::doPasstrough | ( |  | $closeFile = `true` | ) |
| virtual

Does the actual file passtrough.

See also
  eof

Implements eZFileHandler.

Definition at line 118 of file ezgzipzlibcompressionhandler.php.

References $result, eZFileHandler\filename(), eZFileHandler\isBinaryMode(), and eZFileHandler\mode().

## ◆ doRead()

eZGZIPZLIBCompressionHandler::doRead | ( |  | $length = `false` | ) |
| virtual

Does the actual file reading.

See also
  read

Implements eZFileHandler.

Definition at line 71 of file ezgzipzlibcompressionhandler.php.

## ◆ doRewind()

eZGZIPZLIBCompressionHandler::doRewind | ( |  | ) |

Does the actual file rewind.

See also
  rewind

Note
  Default implementation calls seek with offset set to 0 from the file start.

Reimplemented from eZFileHandler.

Definition at line 103 of file ezgzipzlibcompressionhandler.php.

## ◆ doSeek()

eZGZIPZLIBCompressionHandler::doSeek | ( |  | $offset,
|  |  | $whence
| ) |  |
| virtual

Does the actual file seek.

See also
  seek

Implements eZFileHandler.

Definition at line 89 of file ezgzipzlibcompressionhandler.php.

References $offset, and eZDebug\writeError().

## ◆ doTell()

eZGZIPZLIBCompressionHandler::doTell | ( |  | ) |
| virtual

Does the actual file telling.

See also
  tell

Implements eZFileHandler.

Definition at line 108 of file ezgzipzlibcompressionhandler.php.

## ◆ doWrite()

eZGZIPZLIBCompressionHandler::doWrite | ( |  | $data,
|  |  | $length = `false`
| ) |  |
| virtual

Does the actual file writing.

See also
  write

Implements eZFileHandler.

Definition at line 76 of file ezgzipzlibcompressionhandler.php.

## ◆ errorNumber()

eZGZIPZLIBCompressionHandler::errorNumber | ( |  | ) |
| virtual

Returns
  the error number from the last error that occured.

Implements eZFileHandler.

Definition at line 146 of file ezgzipzlibcompressionhandler.php.

## ◆ errorString()

eZGZIPZLIBCompressionHandler::errorString | ( |  | ) |
| virtual

Returns
  the error string from the last error that occured.

Implements eZFileHandler.

Definition at line 141 of file ezgzipzlibcompressionhandler.php.

## ◆ isAvailable()

static eZGZIPZLIBCompressionHandler::isAvailable | ( |  | ) |
| static

Returns
  true if this handler can be used. This function checks if the zlib extension is available.

Reimplemented from eZFileHandler.

Definition at line 52 of file ezgzipzlibcompressionhandler.php.

Referenced by eZGZIPCompressionHandler\__construct().

## ◆ setCompressionLevel()

eZGZIPZLIBCompressionHandler::setCompressionLevel | ( |  | $level | ) |

Sets the current compression level.

Definition at line 32 of file ezgzipzlibcompressionhandler.php.

References $level.

## Member Data Documentation

## ◆ $File

eZGZIPZLIBCompressionHandler::$File

File pointer, returned by gzopen

Definition at line 153 of file ezgzipzlibcompressionhandler.php.

Referenced by doOpen().

## ◆ $Level

eZGZIPZLIBCompressionHandler::$Level

The compression level.

Definition at line 155 of file ezgzipzlibcompressionhandler.php.

Referenced by compressionLevel().

The documentation for this class was generated from the following file:

- ezgzipzlibcompressionhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.